<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>CSS Common Styling</title>
    <link rel="stylesheet" href="index.css" />
  </head>
  <body>
    <div id="div-1">This is a div</div>
    <span id="span-1">This is a span</span>
    <img id="img" src="https://place-puppy.com/450x450" alt="" />
    <span id="span-2">This is another span</span>
    <div id="div-2">This is another div</div>

    <h3>Notes in block, inline and inline-block</h3>
    <p id="p-1">Block takes up the whole width</p>
    <p id="p-2">width 60</p>
    <p id="p-3">width 40</p>
    <p>
      Even if there is enough space, block elements do not sit next to each
      other unless if they are floated.
    </p>
    <p>
      Inline Elements are things like bold and italics. You cannot control the
      height and width of these elements
    </p>

    <p>
      Inline-blocks sit on the same line and combines block and inline
      properties.
    </p>
    <div class="sample">width = 30</div>
    <div class="sample">width = 30</div>
    <div class="sample">width = 30</div>

    <h3>Float</h3>
    <p>
      The "float" property is used position and formatting content e.g. let an
      image float left to the text of a container
    </p>
    <p>
      <img src="https://place-puppy.com/450x450" class="img-float" alt="" />
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem officiis, qui rem quisquam cumque commodi mollitia ipsa, quam nobis dolore quod reiciendis minus earum tempore sequi dolorum eveniet veniam non quo reprehenderit unde adipisci exercitationem dolores? Quia saepe sed non ducimus, nostrum cumque id eum! Fuga debitis saepe voluptate, repudiandae dolore cupiditate porro incidunt nobis quam sapiente fugit nisi qui.</p>
    </p>
    <hr>
    <h3>CSS Units</h3>
    <h4>px VS %</h4>

    <div class="box fifty-percent">50%</div>
    <div class="box one-hundred-pixels">100%</div>
    <br>
    <div class="parent">
        <div class="box fifty-percent">50%</div>
        <div class="box one-hundred-pixels">100%</div>
    </div>

    <hr>

    <section class="background">
        <div class="container-bg">
            <h3 class="bg-title">CSS Background Properties</h3>      
        </div>      
    </section>
    <hr>
    <div class="parent-element">
        Parent Elements
        <div class="child-1">I am child number 1</div>
        <div class="child-2">I am child number 2</div>
        <div class="child-3">I am child number 3</div>
    </div>

  </body>
</html>
